# Genomics API . experimental . jobs

## Instance Methods

Creates and asynchronously runs an ad-hoc job. This is an experimental call and may be removed or changed at any time.

### Method Details

`create(body)`

    Creates and asynchronously runs an ad-hoc job. This is an experimental call and may be removed or changed at any time.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    { # The job creation request.
        "pairedSourceUris": [ # A list of Google Cloud Storage URIs of paired end .fastq files to operate upon. If specified, this represents the second file of each paired .fastq file. The first file of each pair should be specified in sourceUris.
          "A String",
        ],
        "align": True or False, # Specifies whether or not to run the alignment pipeline. Either align or callVariants must be set.
        "callVariants": True or False, # Specifies whether or not to run the variant calling pipeline. Either align or callVariants must be set.
        "sourceUris": [ # A list of Google Cloud Storage URIs of data files to operate upon. These can be .bam, interleaved .fastq, or paired .fastq. If specifying paired .fastq files, the first of each pair of files should be listed here, and the second of each pair should be listed in pairedSourceUris.
          "A String",
        ],
        "gcsOutputPath": "A String", # Specifies where to copy the results of certain pipelines. This should be in the form of gs://bucket/path.
        "projectNumber": "A String", # Required. The Google Cloud Project ID with which to associate the request.
      }

    Returns:
      An object of the form:

        { # The job creation response.
        "jobId": "A String", # A job ID that can be used to get status information.
      }